use RealsecureDB

--if ('2.9.0.11'=(select attributevalue from version where AttributeName='ServiceRelease'))
--begin

declare @patchpath nvarchar(255)
select @patchpath=N'$(ScriptPath)'

create table #PolicyFileContents (DocumentType VARCHAR(20),FileName NVARCHAR(200),Namespace VARCHAR(255),Version VARCHAR(100),Value IMAGE,CheckSum INT,OverwriteDoc TINYINT,BinaryDataType TINYINT)

--Added policies

exec('insert into #PolicyFileContents(DocumentType,FileName,Namespace,Version,CheckSum,OverwriteDoc,BinaryDataType,Value) 
select
	''Policy'' as DocumentType, --Type	=S Policy;
	''Default'' as FileName, --DBName	=S	Default;
	''http://www.iss.net/cml/alps/update_xforce'' as Namespace, --NameSpace	=S	http://www.iss.net/cml/alps/update_xforce;
	''2.1'' as Version, --SchemaVersion	=S	2.1;
	338652884 as CheckSum, --crc32
	1 as OverwriteDoc, --OverWrite	=B	1;
	1 as BinaryDataType,  --(field name is BinaryDataType, defaults to 1)
	* from openrowset(bulk N'''+@patchpath+'policies\update_xforce2_1.xml'',SINGLE_BLOB) as Value')

--------------------------------

DECLARE @DocumentType VARCHAR(20),@FileName NVARCHAR(200),@Namespace VARCHAR(255),@Version VARCHAR(100),@Value VARBINARY(MAX),@CheckSum INT,@OverwriteDoc TINYINT,@BinaryDataType TINYINT
DECLARE @Deploy tinyint
declare PolicyFileCursor CURSOR
	for select * from #PolicyFileContents
OPEN PolicyFileCursor
FETCH NEXT FROM PolicyFileCursor INTO @DocumentType,@FileName,@Namespace,@Version,@Value,@CheckSum,@OverwriteDoc,@BinaryDataType
WHILE @@FETCH_STATUS = 0
	BEGIN
		
	select @Deploy=case @DocumentType when 'GlobalObject' then 1 else 0 end

	exec iss_Document_Add 	@DocumentType=@DocumentType,@FileName=@FileName,@Namespace=@Namespace,
				@Version=@Version,@Value=@Value,@CheckSum=@CheckSum,@OverwriteDoc=@OverwriteDoc,
				@BinaryDataType=@BinaryDataType,
				@Deploy=@Deploy

	FETCH NEXT FROM PolicyFileCursor INTO @DocumentType,@FileName,@Namespace,@Version,@Value,@CheckSum,@OverwriteDoc,@BinaryDataType

	END
CLOSE PolicyFileCursor
DEALLOCATE PolicyFileCursor

drop table #PolicyFileContents

--end
